@import url('https://fonts.googleapis.com/css2?family=Laila:wght@300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
}

body{
    background-color: #f6f6f6;
}

nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 800px;
    margin-inline: auto;
    padding: 20px 0;
}

nav img{
    width: 200px;
}

.primary{
    background-color: #14b590;
    color: white;
    border-radius: 50px;
    padding: 9px 20px;
    box-shadow: 0px 1px 0px #0c7a61;
    border: none;
    cursor: pointer;
    transition: 0.3s;
}

.primary:hover{
    background-color: #24cea6;
    transition: 0.3s;
}

@media only screen and (max-width: 850px){
    nav{
        width: 90%;
    }

    nav img {
        width: 150px;
    }

    .heading{
        font-size: 25px;
    }
}

.heading{
    color: #834b9b;
    text-align: center;
}

form{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3px;
    flex-direction: column;
}

input{
    border: none;
    outline: none;
    font-size: 16px;
    border-bottom: 2px solid #14b590;
    width: 300px;
    background-color: transparent;
    border-radius: 0 !important;
}

select{
    border: none;
    outline: none;
    font-size: 16px;
    border-bottom: 2px solid #14b590;
    width: 300px;
    background-color: transparent;
    border-radius: 0 !important;
}

.center{
    display: flex;
    align-items: center;
    justify-content: center;
  }

  #search{
    width: 300px;
    margin-inline: auto;
    border-radius: 50px !important;
    border: 2px solid #14b590;
    padding: 7px 15px;
  }

input[type=radio]{
    accent-color: #834b9b;
}


#tableprodukte{
    width: 80%;
  }

.filter{
    width: 300px;
    margin-inline: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom: 2px solid #14b590;
  }

  .filter a{
    width: 50%;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    text-decoration: none;
    color: black;
    font-weight: 500;
  }

  .filteractive{
    background-color: #14b590;
    color: white !important;
  }

  .table-container {
    overflow-x: auto;
}

  table {
    width: 600px;
    margin-inline: auto;
    border-collapse: collapse;
}

th, td {
    border: 1px solid #14b590;
    padding: 8px;
    text-align: center;
}

th {
    background-color: #834b9b;
    color: white;
}

tr:nth-child(even) {
    background-color: #eaf7f4;
}

tr:hover {
    background-color: #d6f3e6;
}

table ion-icon{
  color: black;
  width: 20px;
  height: 20px;
}

@media only screen and (max-width: 700px){
    table{
        width: 95%;
    }
}

.offer{
    width: 700px;
    margin: 20px auto;
}

.ofertaimg{
    width: 100%;
}

.page {
    width: 700px;
    margin: 20px auto;
    padding: 150px 0 40px 0;
    aspect-ratio: 5/7;
    background-size: cover;
    background-repeat: repeat;
    /*background-image: url("./../img/template.png");*/
    display: grid;
    grid-template-rows: repeat(4, auto);
    grid-template-columns: repeat(3, 33.3333%);
    grid-row-gap: 50px; 
    place-content: start;
    position: relative;
}

.pageoferta{
    display: grid;
    grid-template-rows: repeat(4, auto);
    grid-template-columns: 33.3333% 14% 14% 14% 14% !important;
    grid-column-gap: 0px;
}

.pagegrupore{
    display: grid;
    grid-template-rows: repeat(2, auto);
    grid-template-columns: 38% 50% !important;
    grid-column-gap: 0px;
    place-items: center;
}

.greenbg{
    background-color: #14b590 !important;
}

.longofferdesc{
    font-size: 10px !important;
}

.product-detail {
    font-size: 15px;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
    text-align: center;
    border: 1px solid #14b590;
    position: relative;
    left: 20px;
}

.godown{
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 17px;
    position: relative;
    top: 20px;
    line-height: 3.5ch;
}

.goleft{
    text-align: left;
    left: 6px;
}

.fontfamily{
    font-family: "Roboto", sans-serif;
    font-weight: 600;
    font-style: normal;
    color: white;
    background-color: #834b9b;
    padding: 10px 20px
}

.page h2{
    color: white;
    position: absolute;
    top: 25px;
    right: 90px;
    font-weight: 500;
    font-size: 19px;
    width: 25%;
    text-align: right;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.brendimg{
    width: 80px;
    position: absolute;
    top: 25px;
    right: 90px;
}

.product {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    width: 100%;
}

.product img{
    height: 120px;
    transform: scale(1.2);
}

.productinfo{
    background-color: #834b9b;
    border-radius: 50px;
    display: flex;
    position: relative;
    top: 20px;
    height: 35px;
    width: 85%;
    justify-content: space-between;
    align-items: center;
}

.nrserik{
    height: 35px;
    width: 40px;
    word-break: break-word;
    padding-inline: 3px;
    background-color: #14b590;
    color: white;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.product p{
    color: white;
    font-size: 12px;
    width: 70%;
    text-align: center;
    word-wrap: break-word;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.leaf{
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 14px;
    padding: 2px;
    font-style: italic;
    position: relative;
    left: 2px;
    border-radius: 70px 100% 70px 0;
    background-color: #14b590;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
}

.subcategory-number{
    position: absolute;
    top: 25px;
    color: white;
    font-size: 22px;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.no-decimals{
    right: 36px;
}

.one-decimal{
    right: 30px;
}

.two-decimals{
    right: 25px;
}

@media only screen and (max-width: 768px) and (min-width: 710px){

    .offer{
        width: 500px;
        margin-inline: 5%;
    }

    .page{
        transform: scale(0.75);
        margin-inline: 0;
        position: relative;
        right: 50px;
    }

    .page:not(:first-child) {
        margin-top: -250px;
    }

    .page:first-child{
        margin-top: -100px;
    }
}

@media only screen and (max-width: 710px) and (min-width: 600px){

    .offer{
        width: 450px;
        margin-inline: 10%;
    }

    .page{
        transform: scale(0.65);
        margin-inline: 0;
        position: relative;
        right: 50px;
    }

    .page:not(:first-child) {
        margin-top: -340px;
    }

    .page:first-child{
        margin-top: -130px;
    }
}

@media only screen and (max-width: 600px){

    .offer{
        width: 90%;
        margin-inline: 5%;
    }

    .page{
        transform: scale(0.5);
        margin-inline: 0;
        position: relative;
        right: 150px;
    }

    .page:not(:first-child) {
        margin-top: -490px;
    }

    .page:first-child{
        margin-top: -200px;
    }
}

.history-list ul{
    margin-inline: auto;
    width: 800px;
}

.history-list li{
    margin-top: 10px;
}

@media only screen and (max-width: 850px){
    .history-list ul{
        width: 90%;
        margin-inline: 10% !important;
    }
}